Bug 234683 - fc5 kernel-2.6.20-1.2307 goes panic instead of boot
fc5 kernel-2.6.20-1.2307 goes panic instead of boot
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2007-03-31 03:52 EDT by Graham
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 13:35:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
panic debug output, manually transcribed (1.10 KB, text/plain)
2007-04-13 09:13 EDT, Trevor Cordes
no flags Details

  None (edit)
Description Graham 2007-03-31 03:52:58 EDT
Description of problem:updated by yum to 2.6.20-1.2307 and system will not
reboot. After several errors related to file paths not existing the last line is
"Kernel Panic - attempting to stop init" - machine is hung. Reverting to
previous version 2.6.18-1.2239fc5 and system works OK.

Version-Release number of selected component (if

How reproducible: every restart after upgrade

Steps to Reproduce:
1. cold restart
Actual results:

Expected results:

Additional info:
Comment 1 Neil Carlson 2007-03-31 13:30:08 EDT
Same problem here on x86_64.  Kernel can't find my root filesystem on
/dev/vg0/root.  The "1.2300" release of the same 2.6.20 kernel
(kernel-2.6.20-1.2300.fc5) from a few days ago works fine.
Comment 2 Trevor Cordes 2007-04-13 09:04:23 EDT

Similar problem here.  2300 and 2307 are MAJORLY BROKEN.  I have 15 FC5 boxes in
the field and 3 reliably PANIC on boot when running 2300/2307.  All boxes work
100% stable in pre-2300: tested up to 2.6.19-1.2288.2.4.fc5smp.  3 boxes proves
it's not just one config.  However, 2300/2307 so far runs well on around 7 other
boxes.  I can't figure out what the common thread is.

I captured a couple of panics.  I'll attach the one I wrote on paper.  I have a
screenshot of another around here somewhere.

Some ideas as to commonalities on these boxes:
- all Intel chipsets, mostly 845
- all running SMP kernel on a uniproc (1 socket / single core) mobo
- there *may* be a NIC in common, but I'd have to check
- ? maybe more
Comment 3 Trevor Cordes 2007-04-13 09:13:24 EDT
Created attachment 152540 [details]
panic debug output, manually transcribed
Comment 4 Trevor Cordes 2007-04-13 09:16:43 EDT
Another commonality: all 3 boxes are running 2.6ipsec.  But 2 of the the other
ends of those VPNs are ok on 2300/2307, so this may be a red herring.

In fact, the SMP-on-uniproc theory seems to be more and more tempting.  I have
no examples right now of other boxes that break this theory.  Unfortunately,
testing is a bit tricky because they are all offsite and a panic gives me a
major panic!
Comment 5 Trevor Cordes 2007-05-29 10:17:31 EDT
After some testing, I believe I have figured out why this bug occurs on a few of
my boxes.  It was like I said in #4, it looks like you cannot stably run an SMP
kernel on a unicore system.  Switching non-SMP boxes from SMP to UP kernel has
so far made the bug go away.  Something was introduced after 2288 to cause SMP
kernel to be buggy on UP boxes.
Comment 6 Bug Zapper 2008-04-04 02:44:00 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Trevor Cordes 2008-04-04 08:55:50 EDT
As per my comment #5, I'm still convinced this was a running MP on UP problem,
which is completely mitigated by the fact that in F8 the MP/UP kernels are
combined.  So that means as of F8 this is fixed.  I have not seen anything
problems like this on F8.

Note You need to log in before you can comment on or make changes to this bug.